Focus ring on folder pane causes pane to resize

VERIFIED FIXED

Status

SeaMonkey
Themes
P2
normal
VERIFIED FIXED
17 years ago
10 years ago

People

(Reporter: Mike Pinkerton (not reading bugmail), Assigned: Mike Pinkerton (not reading bugmail))

Tracking

({classic, polish, pp})

Trunk
PowerPC
All
classic, polish, pp

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [rtm++] Fix in hand, reviewed and approved)

(Assignee)

Description

17 years ago
in the mac classic skin, the focus ring used for the folder pane causes it to
resize as it gain and loses the focus. This resizing is fairly slow and makes
clicking from a folder to the thread pane sluggish.

The folder pane doesn't appear to have this problem, the size of the focus ring
appears to have already been taken into account in the margins.
(Assignee)

Comment 1

17 years ago
Simple fix, big win in polish. nominating for rtm.
Keywords: classic, nsmac2, polish, pp, rtm

Comment 2

17 years ago
->themes
Component: Skinability → Themes
QA Contact: blakeross → pmac

Comment 3

17 years ago
Won't stop ship.  Minus.
Whiteboard: [rtm-]
(Assignee)

Comment 4

17 years ago
clearing rtm-. I have a patch, r=ben. this is very safe, and makes a big impact
on mac classic skin mail performance!

Index: mozilla/themes/classic/messenger/mac/messenger.css
===================================================================
RCS file: /m/pub/mozilla/themes/classic/messenger/mac/messenger.css,v
retrieving revision 1.5
diff -u -2 -r1.5 messenger.css
--- messenger.css	2000/09/14 19:02:16	1.5
+++ messenger.css	2000/10/06 02:53:04
@@ -414,13 +414,4 @@
  *Focus rings on 3 pane view
  */
-
-#folderTree{
-
border: 2px solid transparent !important;
-}
-
-#folderTree:focus{
-
border: 2px solid black !important;
-}
-

 .window-focusborder[focusring="true"]{

Index: mozilla/themes/classic/messenger/mac/folderPane.css
===================================================================
RCS file: /m/pub/mozilla/themes/classic/messenger/mac/folderPane.css,v
retrieving revision 1.3
diff -u -2 -r1.3 folderPane.css
--- folderPane.css	2000/08/17 23:48:37	1.3
+++ folderPane.css	2000/10/06 02:53:03
@@ -151,5 +151,5 @@
   }

-#folderTree, #folderTree > .tree-container-treerows
+#folderTree > .tree-container-treerows
   {
     border                : none !important;
@@ -162,3 +162,15 @@
     visibility            : hidden;
   }
-
+
+
+/**
+ *Focus rings on 3 pane view
+ */
+
+#folderTree{
+
border: 2px solid transparent !important;
+}
+
+#folderTree:focus{
+
border: 2px solid black !important;
+}
Whiteboard: [rtm-]

Comment 5

17 years ago
Well, looks like Pink came up with a patch himself.  That's motivation! :-)

Since Ben reviewed and approved the fix, I'll nominate this for review by the PDT.

PDT folks, this looks pretty safe and sane.  Please approve.
Priority: P3 → P2
Whiteboard: [rtm+] Fix in hand, reviewed and approved

Comment 6

17 years ago
PDT marking [rtm need info] since there's only one reviewer. Need one more and
then we'll ++ it.
Whiteboard: [rtm+] Fix in hand, reviewed and approved → [rtm need info] Fix in hand, reviewed and approved

Comment 7

17 years ago
looks good, r=pchen, adding myself to cc list
(Assignee)

Comment 8

17 years ago
r and a, patch included, moving back to rtm+
Whiteboard: [rtm need info] Fix in hand, reviewed and approved → [rtm+] Fix in hand, reviewed and approved

Comment 9

17 years ago
marking rtm++
Whiteboard: [rtm+] Fix in hand, reviewed and approved → [rtm++] Fix in hand, reviewed and approved
(Assignee)

Comment 10

17 years ago
taking back to land myself for ben
Assignee: ben → pinkerton
(Assignee)

Comment 11

17 years ago
landed on branch and trunk
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED

Comment 12

17 years ago
Verify ok on mac (2000-10-10-10-MN6)
Status: RESOLVED → VERIFIED
(Assignee)

Comment 13

17 years ago
um, patty? how did you verify this if i checked in the fix 2 hours ago on the
branch and trunk? the 10am build certainly didn't have it...and it is certainly
not fixed in the 10am build I am using.

Comment 14

17 years ago
I verified on Mac (20001-01-02-08-Mtrunk) and it seemed working normal.
OS: All
Product: Core → SeaMonkey
You need to log in before you can comment on or make changes to this bug.